#!/bin/bash

# Upotreba: ./testall.sh radovi/ "1.c..." 1.t
FOLDERI=$(ls $1);
AKTIVNI_FOLDER=$(pwd);
REZULTAT="";

while read -r FOLDER
do
	# kopiramo sve izvrse i test fajlove jer je tako lakse
	cp "testn.sh" "$1$FOLDER/testn.sh";
	cp "test1.sh" "$1$FOLDER/test1.sh";
	cp "tofile.sh" "$1$FOLDER/tofile.sh";
	cp "$3" "$1$FOLDER/testfile.t";
	cd "$1$FOLDER";
	REZULTAT=$("./testn.sh" "$2" "testfile.t" "$4");
	echo "$REZULTAT";
	echo "$REZULTAT" >> "$AKTIVNI_FOLDER/rezultati.csv";
	rm "testfile.t";
	rm "test1.sh";
	rm "tofile.sh";
	rm "testn.sh";
	cd "$AKTIVNI_FOLDER";
done <<< "$FOLDERI"
